Bug 1006246 - Executing a reload operation using the mgmt protocol results in a communication error
Executing a reload operation using the mgmt protocol results in a communicati...
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.0.0,6.1.0,6.1.1
Unspecified Unspecified
unspecified Severity medium
: ---
: TBD EAP 6
Assigned To: Brian Stansberry
Petr Kremensky
:
Depends On:
Blocks: 970482 1530597
  Show dependency treegraph
 
Reported: 2013-09-10 06:01 EDT by Emanuel Muckenhuber
Modified: 2018-01-03 07:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-164 Major Closed java.io.IOException Channel closed exception after several reload of server 2018-01-16 08:28 EST

  None (edit)
Description Emanuel Muckenhuber 2013-09-10 06:01:07 EDT
Description of problem:

Executing a reload operation using the native mgmt API sometimes results in a channel closed error. Upstream already has some better handling for handling this which should be ported back to EAP6.
Comment 1 Ivo Studensky 2013-09-25 10:47:38 EDT
Relevant PR:

https://github.com/jbossas/jboss-eap/pull/464
Comment 5 Petr Kremensky 2013-12-06 06:04:15 EST
Trying to reproduce this with latest bits I can still run into exception from WFLY-164. 

How to reproduce:
 - get ochaloupka's reproducer from https://github.com/ochaloup/jboss-dmr-test/blob/master
 - update pom.xml to use latest bits 7.3.0.Final-redhat-14
 - start standalone
 - run a few times: mvn install exec:java -Dexec.mainClass="ochaloup.ClientReload"

I can still see the same exception as in WFLY-164
Comment 11 Dimitris Andreadis 2015-02-03 16:03:06 EST
re-assign Emanuel's assigned bugs to Brian.

Note You need to log in before you can comment on or make changes to this bug.